commit: 1220629606e4287bc60274825ccb9ab3f9db76f1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 12 15:05:18 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 12 16:03:16 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12206296
dev-python/pypy*: Fix epython.py module first install
dev-python/pypy-bin/pypy-bin-2.4.0.ebuild | 9 ++++++---
dev-python/pypy-bin/pypy-bin-2.5.1-r1.ebuild | 9 ++++++---
dev-python/pypy-bin/pypy-bin-2.6.0-r1.ebuild | 9 ++++++---
dev-python/pypy-bin/pypy-bin-4.0.0.ebuild | 9 ++++++---
dev-python/pypy/pypy-2.4.0.ebuild | 9 ++++++---
dev-python/pypy/pypy-2.5.1.ebuild | 9 ++++++---
dev-python/pypy/pypy-2.6.0.ebuild | 9 ++++++---
dev-python/pypy/pypy-4.0.0.ebuild | 9 ++++++---
dev-python/pypy3-bin/pypy3-bin-2.4.0-r1.ebuild | 9 ++++++---
dev-python/pypy3/pypy3-2.4.0.ebuild | 9 ++++++---
10 files changed, 60 insertions(+), 30 deletions(-)
diff --git a/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild
b/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild
index 24849b6..55e1fc2 100644
--- a/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild
+++ b/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild
@@ -146,11 +146,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy-bin/pypy-bin-2.5.1-r1.ebuild
b/dev-python/pypy-bin/pypy-bin-2.5.1-r1.ebuild
index 52a15ef..52c2798 100644
--- a/dev-python/pypy-bin/pypy-bin-2.5.1-r1.ebuild
+++ b/dev-python/pypy-bin/pypy-bin-2.5.1-r1.ebuild
@@ -146,11 +146,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy-bin/pypy-bin-2.6.0-r1.ebuild
b/dev-python/pypy-bin/pypy-bin-2.6.0-r1.ebuild
index 9de657f..5459d26 100644
--- a/dev-python/pypy-bin/pypy-bin-2.6.0-r1.ebuild
+++ b/dev-python/pypy-bin/pypy-bin-2.6.0-r1.ebuild
@@ -150,11 +150,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy-bin/pypy-bin-4.0.0.ebuild
b/dev-python/pypy-bin/pypy-bin-4.0.0.ebuild
index 8564498..1b916dd 100644
--- a/dev-python/pypy-bin/pypy-bin-4.0.0.ebuild
+++ b/dev-python/pypy-bin/pypy-bin-4.0.0.ebuild
@@ -150,11 +150,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy/pypy-2.4.0.ebuild
b/dev-python/pypy/pypy-2.4.0.ebuild
index 21af59e..9442c70 100644
--- a/dev-python/pypy/pypy-2.4.0.ebuild
+++ b/dev-python/pypy/pypy-2.4.0.ebuild
@@ -194,11 +194,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy/pypy-2.5.1.ebuild
b/dev-python/pypy/pypy-2.5.1.ebuild
index 87af793..d12930c 100644
--- a/dev-python/pypy/pypy-2.5.1.ebuild
+++ b/dev-python/pypy/pypy-2.5.1.ebuild
@@ -194,11 +194,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy/pypy-2.6.0.ebuild
b/dev-python/pypy/pypy-2.6.0.ebuild
index 15820ef..779b81c 100644
--- a/dev-python/pypy/pypy-2.6.0.ebuild
+++ b/dev-python/pypy/pypy-2.6.0.ebuild
@@ -200,11 +200,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy/pypy-4.0.0.ebuild
b/dev-python/pypy/pypy-4.0.0.ebuild
index da155c2..0bf61ef 100644
--- a/dev-python/pypy/pypy-4.0.0.ebuild
+++ b/dev-python/pypy/pypy-4.0.0.ebuild
@@ -200,11 +200,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy/site-packages
+ python_export pypy EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy3-bin/pypy3-bin-2.4.0-r1.ebuild
b/dev-python/pypy3-bin/pypy3-bin-2.4.0-r1.ebuild
index 4ab07bc..45e75f7 100644
--- a/dev-python/pypy3-bin/pypy3-bin-2.4.0-r1.ebuild
+++ b/dev-python/pypy3-bin/pypy3-bin-2.4.0-r1.ebuild
@@ -139,11 +139,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy3 EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy3/site-packages
+ python_export pypy3 EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.
diff --git a/dev-python/pypy3/pypy3-2.4.0.ebuild
b/dev-python/pypy3/pypy3-2.4.0.ebuild
index 47a824e..9c15e46 100644
--- a/dev-python/pypy3/pypy3-2.4.0.ebuild
+++ b/dev-python/pypy3/pypy3-2.4.0.ebuild
@@ -192,11 +192,14 @@ src_install() {
einfo "Generating caches and byte-compiling ..."
- python_export pypy3 EPYTHON PYTHON PYTHON_SITEDIR
- local PYTHON=${ED%/}${INSDESTTREE}/pypy-c
+ local -x PYTHON=${ED%/}${INSDESTTREE}/pypy-c
local -x LD_LIBRARY_PATH="${ED%/}${INSDESTTREE}"
+ # we can't use eclass function since PyPy is dumb and always gives
+ # paths relative to the interpreter
+ local PYTHON_SITEDIR=${EPREFIX}/usr/$(get_libdir)/pypy3/site-packages
+ python_export pypy3 EPYTHON
- echo "EPYTHON='${EPYTHON}'" > epython.py
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# Generate Grammar and PatternGrammar pickles.